>  compiler cannot create executables

I guess you cannot do anything  about this, thats a limitation enforced
by your provider. Either the provider allows excutables, switches to
ruby 1.8.x, or you switch the provider...

martinus